summaryrefslogtreecommitdiffstats
path: root/scripts/qemuimage-tests/tools
diff options
context:
space:
mode:
authorJiajun Xu <jiajun.xu@intel.com>2010-12-29 13:57:04 +0800
committerSaul Wold <sgw@linux.intel.com>2011-01-02 01:25:40 -0800
commitf6442e68cc0861cc7dedc12ee3c3d68415a3a1eb (patch)
treecd3387bad7a1d2c68d794d441b766b7d787e65b1 /scripts/qemuimage-tests/tools
parent4c6d5a60159e88dc5f6a1661c383da97a3919786 (diff)
downloadast2050-yocto-poky-f6442e68cc0861cc7dedc12ee3c3d68415a3a1eb.zip
ast2050-yocto-poky-f6442e68cc0861cc7dedc12ee3c3d68415a3a1eb.tar.gz
qemuimagetest: Add basic function check for zypper command
Add two cases for zypper sanity test. Signed-off-by Jiajun Xu <jiajun.xu@intel.com>
Diffstat (limited to 'scripts/qemuimage-tests/tools')
-rw-r--r--scripts/qemuimage-tests/tools/zypper_test.sh45
1 files changed, 45 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/tools/zypper_test.sh b/scripts/qemuimage-tests/tools/zypper_test.sh
new file mode 100644
index 0000000..5e8e7aa
--- /dev/null
+++ b/scripts/qemuimage-tests/tools/zypper_test.sh
@@ -0,0 +1,45 @@
+#!/bin/bash
+# zypper test script running in target
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+
+Target_Info()
+{
+ echo -e "\tTARGET: $*"
+}
+
+Target_Err()
+{
+ echo -e "\tTARGET: zypper command has issue when running, Pls. check the error log"
+ echo -e "\tTARGET: ##### Error Log #####"
+ $1
+ echo -e "\tTARGET: ##### End #####"
+}
+
+which zypper
+if [ $? -ne 0 ]; then
+ Target_Info "No zypper command found"
+ exit 1
+fi
+
+if [ zypper > /dev/null 2>&1 ]; then
+ Target_Info "zypper command run without problem"
+else
+ Target_Err zypper
+ exit 1
+fi
+
+# run zypper with specific command parsed to zypper_test.sh
+zypper $* > /dev/null 2>&1
+
+if [ $? -eq 0 ]; then
+ Target_Info "zypper $* work without problem"
+ exit 0
+else
+ Target_Err zypper $*
+ exit 1
+fi
OpenPOWER on IntegriCloud